HomePhabricator

build: Updating npm dependencies

Description

build: Updating npm dependencies

  • eslint: ^5.14.1 → 7.16.0
  • eslint-config-wikimedia: ^0.11.0 → 0.20.0 The following rules are failing and were disabled:
    • no-redeclare
    • no-shadow

Additional changes:

  • Removed "eslint-plugin-json", already in "eslint-config-wikimedia".
  • Removed "eslint-plugin-jsdoc", already in "eslint-config-wikimedia".
  • Set root: true in .eslintrc.json (T206485).

Change-Id: If2201e9308785a6f6946fca266246a9e4b8b0790

Details

Provenance
LibUp-botAuthored on Apr 14 2021, 9:29 PM
Parents
rMSRAde2a01e1b010: Dummy updated for T274262
Branches
Unknown
Tags
Unknown
ChangeId
If2201e9308785a6f6946fca266246a9e4b8b0790